package com.tofly.feesapi.common.constant;

import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.Getter;

/**
 * 阀门状态
 */
@Getter
public enum FmztEnum implements IEnum<String> {
    开阀("0", "开阀"),
    半开("1", "半开"),
    关阀("2", "关阀"),
    异常("3", "异常"),
    打开阀门中("4", "打开阀门中"),
    关闭阀门中("5", "关闭阀门中");

    FmztEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    private String value;
    private String desc;

    @Override
    public String getValue() {
        return this.value;
    }
}